OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.Texturing.Objects

Description

This module corresponds to section 3.8.12 (Texture Objects) of the OpenGL 2.1 specs.

Synopsis

- newtype TextureObject = TextureObject GLuint
- textureBinding :: BindableTextureTarget t => t -> StateVar (Maybe TextureObject)
- textureResident :: ParameterizedTextureTarget t => t -> GettableStateVar Bool
- areTexturesResident :: [TextureObject] -> IO ([TextureObject], [TextureObject])
- type TexturePriority = GLclampf
- texturePriority :: ParameterizedTextureTarget t => t -> StateVar TexturePriority
- prioritizeTextures :: [(TextureObject, TexturePriority)] -> IO ()
- generateMipmap' :: ParameterizedTextureTarget t => t -> IO ()

# Documentation

newtype TextureObject

Constructors

TextureObject GLuint |

Instances

Eq TextureObject |
Ord TextureObject |
Show TextureObject |
GeneratableObjectName TextureObject |
ObjectName TextureObject |

textureBinding :: BindableTextureTarget t => t -> StateVar (Maybe TextureObject)

textureResident :: ParameterizedTextureTarget t => t -> GettableStateVar Bool

areTexturesResident :: [TextureObject] -> IO ([TextureObject], [TextureObject])

type TexturePriority = GLclampf

texturePriority :: ParameterizedTextureTarget t => t -> StateVar TexturePriority

prioritizeTextures :: [(TextureObject, TexturePriority)] -> IO ()

generateMipmap' :: ParameterizedTextureTarget t => t -> IO ()

Generate mipmaps for the specified texture target. Note that from OpenGL 3.1 onwards you should use this function instead of the texture parameter `generateMipmap`.